Is this product compactible with ANDROID device?? it's a quick purchase decision will be really grateful if u can respond quickly:))

  • Asked by Abel J from Mumbai

1 Answer from the Community

  • its Bluetooth 4.0, so if your device is bluetooth 4.0 capable, then yes. if bluetooth is a lower version on your device then it probably won't work.

    • Answered by Claire D from Longford